Name:           tcpjunk
Version:        2.8.21
Release:        1%{?dist}
Summary:        TCP protocols testing tool

Group:          Applications/Internet
License:        GPLv2+
URL:            http://code.google.com/p/tcpjunk/
Source0:        http://tcpjunk.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  openssl-devel
BuildRequires:  gtksourceview2-devel
BuildRequires:  pkgconfig

BuildRequires:  desktop-file-utils


%description
TCPJunk is a TCP protocols manipulation and hacking utility that can
be used in different ways. Similar to netcat, TCPJunk can be used as
a client or server, but instead of stdin, it uses a 'Session file' as
the data to send or receive. TCPJunk can be used as a general testing
tool, a traffic generator or a fuzzer, for protocols such as HTTP,
SMTP, POP3, IMAP, FTP and others.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} \
    tcpjunkdocdir=%{_defaultdocdir}/%{name}-%{version} \
    manpagedir=%{_mandir}/man1 INSTALL="install -p"
desktop-file-install                                    \
    --dir=%{buildroot}%{_datadir}/applications              \
    %{buildroot}%{_datadir}/applications/%{name}.desktop


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING TODO.tasks
%{_mandir}/man*/%{name}*.gz
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Sun Feb 21 2010 Fabian Affolter <fabian@bernewireless.net> - 2.8.21-1
- Updated to new upsteram version 2.8.21

* Fri Oct 07 2009 Fabian Affolter <fabian@bernewireless.net> - 2.8.01-1
- Updated to new upsteram version 2.8.01

* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 2.7.01-3
- rebuilt with new openssl

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7.01-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jul 07 2009 Fabian Affolter <fabian@bernewireless.net> - 2.7.01-1
- Updated to new upsteram version 2.7.01

* Mon Jul 06 2009 Fabian Affolter <fabian@bernewireless.net> - 2.6.92-1
- Updated to new upsteram version 2.6.92

* Sat Jun 13 2009 Fabian Affolter <fabian@bernewireless.net> - 2.6.87-1
- Updated to new upsteram version 2.6.87

* Mon Apr 20 2009 Fabian Affolter <fabian@bernewireless.net> - 2.660-1
- Updated to new upsteram version 2.660

* Mon Mar 10 2009 Fabian Affolter <fabian@bernewireless.net> - 2.649-2
- Changed license

* Sun Feb 22 2009 Fabian Affolter <fabian@bernewireless.net> - 2.649-1
- Updated to new upstream version 2.649
- .desktop file and icon are now in the source
- Added the doc files and configure

* Sun Feb 22 2009 Fabian Affolter <fabian@bernewireless.net> - 2.643-1
- Initial spec for Fedora

